function x=ctoc(n)
%CTOC Read the cpu time timer.
%
%ctoc(n) adds the time elapsed to cpu stopwatch number n. n defaults to 1.
%x=ctoc returns the whole cpu time vectors.
%ctoc(0) clears the time vector.

% v1.0  95-09-21. Niclas Borlin, niclas@cs.umu.se.

global CPU_TIME
global CPU_TIMES

% Stop the stopwatch first.
elapsed=cputime-CPU_TIME;

if (nargin<1)
	n=1;
end

if (n==0)
	CPU_TIMES=[];
else if (n>length(CPU_TIMES))
	CPU_TIMES(n)=elapsed;
else
	CPU_TIMES(n)=CPU_TIMES(n)+elapsed;
end

if (nargout==1)
	x=CPU_TIMES;
end

end
